Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Interface CauchoApplication

All Superinterfaces:
  ServletContext

All Known Implementing Classes:
  Application

public interface CauchoApplication
extends ServletContext

Method Summary
`void` | `addListener(ExitListener listener)`
`void` | `clearCache()` Clears the cache.
`Path` | `getAppDir()`
`ServletAuthenticator` | `getAuthenticator()`
`java.lang.String` | `getChain(java.lang.String mimeType)`
`DynamicClassLoader` | `getClassLoader()`
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getHost()`
`RegistryNode` | `getRegistry()`
`java.lang.String` | `getServletContextName()` Returns the name of this web application correponding to this ServletContext as specified in the deployment descriptor for this web application by the display-name element.
`void` | `log(java.lang.String msg, java.lang.Throwable e)` Writes an explanatory message and a stack trace for a given `Throwable` exception to the servlet log file.

Methods inherited from interface javax.servlet.ServletContext
`getAttribute, getAttributeNames, getContext, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletNames, getServlets, log, log, removeAttribute, setAttribute`

Method Detail

### log

    public void log(java.lang.String msg,
                    java.lang.Throwable e)

  Description copied from interface: `ServletContext`
  Writes an explanatory message and a stack trace for a given `Throwable` exception to the servlet log file. The name and type of the servlet log file is specific to the servlet container, usually an event log.
  Specified by:
    `log` in interface `ServletContext`
  Following copied from interface: `javax.servlet.ServletContext`
  Parameters:
    `message` - a `String` that describes the error or exception
    `throwable` - the `Throwable` error or exception

### getServletContextName

    public java.lang.String getServletContextName()

  Description copied from interface: `ServletContext`
  Returns the name of this web application correponding to this ServletContext as specified in the deployment descriptor for this web application by the display-name element.
  Specified by:
    `getServletContextName` in interface `ServletContext`
  Following copied from interface: `javax.servlet.ServletContext`
  Returns:
    The name of the web application or null if no name has been declared in the deployment descriptor.

### getContextPath

    public java.lang.String getContextPath()

### getAppDir

    public Path getAppDir()

### getRegistry

    public RegistryNode getRegistry()

### getHost

    public java.lang.String getHost()

### getClassLoader

    public DynamicClassLoader getClassLoader()

### addListener

    public void addListener(ExitListener listener)

### getChain

    public java.lang.String getChain(java.lang.String mimeType)

### getAuthenticator

    public ServletAuthenticator getAuthenticator()

### clearCache

    public void clearCache()

  Clears the cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD